data_dir             = "/var/lib/nomad"
disable_update_check = true
# Logging is handled by supervise-daemon so disable
# Syslog to avoid double logging.
enable_syslog        = false
plugin_dir           = "/usr/lib/nomad/plugins"

# WARNING: Servers and Clients should not be on the same host
# This does not meet high availability requirements/recommendations
server {
  enabled          = true
  bootstrap_expect = 1
}

client {
  enabled = true

  # CNI-related settings
  cni_config_dir = "/etc/cni"
  cni_path = "/usr/libexec/cni"

  options {
    # Disable java as it is not installed by default
    driver.denylist = "java"
  }

  # Storage drives for docker containers to mount
  # You'll probably want to edit these
  host_volume "gitea-data" {
    path      = "/hdd/gitea/"
    read_only = false
  }

  host_volume "minio-ssd" {
    path      = "/ssd/minio/"
    read_only = false
  }

  host_volume "minio-hdd" {
    path      = "/hdd/minio/"
    read_only = false
  }

  host_volume "postgres" {
    path      = "/ssd/postgres/"
    read_only = false
  }

  host_volume "sqlite" {
    path      = "/ssd/sqlite/"
    read_only = false
  }

  host_volume "jellyfinCache" {
    path      = "/hdd/multimedia/cache/"
    read_only = false
  }

  host_volume "jellyfinConfig" {
    path      = "/hdd/multimedia/config/"
    read_only = false
  }

  host_volume "media" {
    path      = "/hdd/multimedia/media/"
    read_only = false
  }
}

ui {
  # Comment to disable UI, it listens on port 4646
    enabled = true
}
