job "mailcatcher" {
  datacenters = ["dc1"]

  group "mailcatcher" {
    count = 1
    
    network {
      mode = "bridge"
      port "webUI" {
        to = 1080
      }
    }

    service {
      # Make available to other services by the 'fake-smtp' name
      name = "fake-smtp"
      port = "1025"
      tags = ["traefik.enable=false"] # Hide redis from traefik

      connect {
        sidecar_service {
          tags = ["traefik.enable=false"] # Hide redis envoy from traefik
        }
      }
    }

    task "mailcatcher" {
      driver = "docker"

      config {
        image = "sj26/mailcatcher:latest"
        ports = ["webUI"]
      }
    }
  }
}